﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ColumnStyleImage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetTable();
        }
        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("ForKids", typeof(string));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));
            StringBuilder sb = new StringBuilder();
            // Here we add five DataRows.
            for (int i = 0; i < 1000; i++)
            {
                table.Rows.Add(GetImageTag(SystemIcons.Exclamation.ToBitmap()) + "Yes", "Indocin", "David", DateTime.Now);
                table.Rows.Add(GetImageTag(SystemIcons.Error.ToBitmap()) + "No", "Enebrel", "Sam", DateTime.Now);
                table.Rows.Add(GetImageTag(SystemIcons.Information.ToBitmap()) + "Ok", "Hydralazine", "Christoff", DateTime.Now);
                table.Rows.Add(GetImageTag(SystemIcons.Exclamation.ToBitmap()) + "Yes", "Combivent", "Janet", DateTime.Now);
                table.Rows.Add(GetImageTag(SystemIcons.Information.ToBitmap()) + "Ok", "Dilantin", "Melanie", DateTime.Now);
            }
            return table;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridColumn column0 = band.Columns[0];

            column0.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedText;
        }
        private static string GetImageTag(Image image)
        {
            return string.Format("<img style=\"width:{0}px; height:{1}px;\" data=\"{2}\"/>",
                image.Width,
                image.Height,
                Infragistics.Win.FormattedLinkLabel.FormattedLinkEditor.EncodeImage(image));
        }
    }
}
